"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

Object subclass:#Enum
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private'
!

Enum class instanceVariableNames:'instance'

"
 No other class instance variables are inherited by this class.
"
!


!Enum class methodsFor:'instance creation'!

withName: aString

    self allSubclasses 
        do:[:cls|cls instance name = aString ifTrue:[^cls instance]].
    ^self error: 'No ',(self name copyFrom: 6),' with name ', aString.

    "Created: / 18-08-2009 / 12:52:38 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 19-08-2009 / 08:58:25 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Enum class methodsFor:'accessing'!

instance

    instance ifNil:[instance := self basicNew].
    ^instance

    "Created: / 18-08-2009 / 12:50:41 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Enum methodsFor:'accessing'!

name

    "Answers a human-readable name of enum value"

    ^self subclassResponsibility

    "Created: / 19-08-2009 / 08:59:30 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Enum class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN

    ^'Id: SVN__Enum.st 110 2009-08-19 13:21:10Z vranyj1 '
! !
