"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

WCAction subclass:#WCActionDeleted
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Working copy'
!


!WCActionDeleted class methodsFor:'accessing'!

actionName
    "Superclass says that I am responsible to implement this method"

    ^'D'

    "Created: / 16-03-2008 / 08:49:10 / janfrog"
! !

!WCActionDeleted methodsFor:'accessing'!

icon

    ^SVN::IconLibrary delete

    "Created: / 24-06-2009 / 15:07:57 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCActionDeleted methodsFor:'processing'!

processEntry: entry using: processor 
    "
             Double dispath to a processor, passing an entry"
    
    processor processDeletedEntry: entry

    "Modified: / 27-08-2009 / 08:50:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!WCActionDeleted methodsFor:'testing'!

isDeleted

    ^true

    "Created: / 17-08-2009 / 19:47:07 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCActionDeleted class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__WCActionDeleted.st 113 2009-08-28 11:43:01Z vranyj1 '
! !
